Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596396 - wrong productId version at https://cdn.redhat.com/content/dist/rhel-alt/server/7/7.5/armv8-a/aarch64/os/repodata/productid
Summary: wrong productId version at https://cdn.redhat.com/content/dist/rhel-alt/serve...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: releng
Version: 7.5-Alt
Hardware: aarch64
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Jon Disnard
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1534323
TreeView+ depends on / blocked
 
Reported: 2018-06-28 19:59 UTC by John Sefler
Modified: 2019-01-21 22:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-21 22:01:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description John Sefler 2018-06-28 19:59:31 UTC
Description of problem:

Version of the productid on the CDN at 'https://cdn.redhat.com/content/dist/rhel-alt/server/7/7.5/armv8-a/aarch64/os/repodata/productid' that will be installed by the yum product-id plugin after setting the subscription-manager release to '7.5'. expected:<7.5> but was:<7.4>



Steps to Reproduce:
[root@hp-moonshot-02-c14 ~]# subscription-manager register --serverurl=subscription.rhn.stage.redhat.com --baseurl=https://cdn.redhat.com --auto-attach --username=qa@redhat.com
Registering to: subscription.rhn.stage.redhat.com:443/subscription
Password: 
The system has been registered with ID: 102aec17-bbd7-4daf-922e-d71c45c3d2ca
The registered system name is: hp-moonshot-02-c14.khw.lab.eng.bos.redhat.com
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux for ARM 64
Status:       Subscribed

[root@hp-moonshot-02-c14 ~]# subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-for-arm-64-rpms
Repo Name: Red Hat Enterprise Linux 7 for ARM (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel-alt/server/7/$releasever/armv8-a/$basearch/os
Enabled:   1

[root@hp-moonshot-02-c14 ~]# uname -i
aarch64

[root@hp-moonshot-02-c14 ~]# ls /etc/pki/entitlement/
4267947644579003414-key.pem  4267947644579003414.pem

[root@hp-moonshot-02-c14 ~]# curl --stderr /dev/null --cert /etc/pki/entitlement/4267947644579003414.pem --key /etc/pki/entitlement/4267947644579003414-key.pem --cacert /etc/rhsm/ca/redhat-uep.pem https://cdn.redhat.com/content/dist/rhel-alt/server/7/7.5/armv8-a/aarch64/os/repodata/productid > productid.pem && rct cat-cert productid.pem | grep -A8 "Product:"
Product:
	ID: 419
	Name: Red Hat Enterprise Linux for ARM 64
	Version: 7.4                 <========== EXPECTED 7.5
	Arch: aarch64
	Tags: rhel-alt-7,rhel-alt-7-armv8-a
	Brand Type: 
	Brand Name: 


Actual results:
	Version: 7.4

Expected results:
	Version: 7.5

Notice that the cdn path to the productid is for .../7.5/... yet the version of the productid certificate fetched from this path is actually 7.4.

Comment 6 Jon Disnard 2018-12-11 15:28:02 UTC
Does this bug still reproduce?


Note You need to log in before you can comment on or make changes to this bug.